Package org.codehaus.janino

# Interface Visitor.ConstructorInvocationVisitor<R,EX extends Throwable>

Type Parameters:
  `R` - The type of the object returned by the `visit*()` methods
  `EX` - The exception that the `visit*()` methods may throw

Enclosing class:
  `Visitor`

public static interface Visitor.ConstructorInvocationVisitor<R,EX extends Throwable>
The visitor for all kinds of `Java.ConstructorInvocation`s.

## Method Summary

Modifier and Type
Method
Description
`R`
`visitAlternateConstructorInvocation(Java.AlternateConstructorInvocation aci)`
Invoked by `Java.MarkerAnnotation.accept(Visitor.AnnotationVisitor)`
`R`
`visitSuperConstructorInvocation(Java.SuperConstructorInvocation sci)`
Invoked by `Java.SingleElementAnnotation.accept(Visitor.AnnotationVisitor)`

## Method Details

### visitAlternateConstructorInvocation

@Nullable R visitAlternateConstructorInvocation(Java.AlternateConstructorInvocation aci) throws EX
Invoked by `Java.MarkerAnnotation.accept(Visitor.AnnotationVisitor)`

Throws:
  `EX`

### visitSuperConstructorInvocation

@Nullable R visitSuperConstructorInvocation(Java.SuperConstructorInvocation sci) throws EX
Invoked by `Java.SingleElementAnnotation.accept(Visitor.AnnotationVisitor)`

Throws:
  `EX`